package com.rshka.mcs.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.rshka.mcs.beans.Customer;
import com.rshka.mcs.dao.CustomerDao;

@Repository
public class CustomerServiceImpl implements CustomerService {

	@Autowired
	private CustomerDao customerDao;

	public Customer getCustomer(String document) {

		return customerDao.getCustomer(document);

	}

	public List<Customer> getCustomers() {

		return customerDao.getCustomers();

	}

	public int saveCustomer(Customer customer) {

		return customerDao.saveCustomer(customer);

	}

}
